datacache <- new.env(hash=TRUE, parent=emptyenv())

clariomdmousemmrefseq <- function() showQCData("clariomdmousemmrefseq", datacache)
clariomdmousemmrefseq_dbconn <- function() dbconn(datacache)
clariomdmousemmrefseq_dbfile <- function() dbfile(datacache)
clariomdmousemmrefseq_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
clariomdmousemmrefseq_dbInfo <- function() dbInfo(datacache)

clariomdmousemmrefseqORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "clariomdmousemmrefseq.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "clariomdmousemmrefseq", "chip clariomdmousemmrefseq", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("clariomdmousemmrefseq.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(clariomdmousemmrefseq_dbconn())
}

